Page MenuHomePhabricator

Installer should not default to CACHE_NONE if CACHE_ACCEL is supported
Closed, ResolvedPublic

Description

Installing on a host with APC enabled.

MW installer gave me three choices for cache - CACHE_NONE, CACHE_MEMCACHE and CACHE_ACCEL, which is good. However CACHE_NONE was selected as the default. That seems wrong. Default should be CACHE_ACCEL imo.

Details

Reference
bz47162

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz47162.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle renamed this task from Installer defaults to suggesting CACHE_NONE instead of CACHE_ACCEL to Installer should not default to CACHE_NONE if CACHE_ACCEL is supported.Jan 8 2015, 12:55 PM
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2015, 10:41 PM

Change 248560 had a related patch set uploaded (by saper):
installer should set CACHE_ACCEL as the default if available

https://gerrit.wikimedia.org/r/248560

saper added a subscriber: saper.Oct 23 2015, 11:08 PM

I'd be grateful for checking if https://gerrit.wikimedia.org/r/248560 does the job.

Change 248560 merged by jenkins-bot:
installer: Choose CACHE_ACCEL as the default if available

https://gerrit.wikimedia.org/r/248560

Nemo_bis added a subscriber: Nemo_bis.

So in practice this makes CACHE_ACCEL the default on PHP 5.5+, right?

Legoktm added a subscriber: Legoktm.Jan 7 2016, 5:57 PM

So in practice this makes CACHE_ACCEL the default on PHP 5.5+, right?

If you have the php5-apcu extension installed, yes.

Legoktm closed this task as Resolved.Jan 7 2016, 6:00 PM
Legoktm assigned this task to saper.